org.apache.commons.compress.utils

## Class ServiceLoaderIterator<E>

- java.lang.Object
- - org.apache.commons.compress.utils.ServiceLoaderIterator<E>

- Type Parameters:
    `E` - The service to load
  All Implemented Interfaces:
    Iterator<E>

      public class ServiceLoaderIterator<E>
      extends Object
      implements Iterator<E>

  Iterates all services for a given class through the standard `ServiceLoader` mechanism.
  Since:
    1.13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceLoaderIterator(Class<E> service)`
    `ServiceLoaderIterator(Class<E> service, ClassLoader classLoader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceLoaderIterator

          public ServiceLoaderIterator(Class<E> service)

    - #### ServiceLoaderIterator

          public ServiceLoaderIterator(Class<E> service,
                               ClassLoader classLoader)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`

Copyright © 2016 The Apache Software Foundation. All rights reserved.